Subject: Re: [RFC] Wireless extensions rethink

From: Jeff Garzik <[email-masked]>
Date: Thu, 17 Jun 2004 15:34:22 -0400

Jean Tourrilhes wrote:
> On Thu, Jun 17, 2004 at 03:02:49PM -0400, Jeff Garzik wrote:
> 
>>Jean Tourrilhes wrote:
>>
>>>On Thu, Jun 17, 2004 at 02:26:20PM -0400, Jeff Garzik wrote:
>>>
>>>
>>>>Note that the above is only a first step.  Through the standard Linux 
>>>>development process -- evolution -- each hook can be pared down to 
>>>>precisely what each call needs.  The above allows for a quick transition 
>>>>of drivers, while keeping them working.
>>>>
>>>>	Jeff
>>>
>>>
>>>	Have you looked at the patch I sent you ? In which way does it
>>>fails to meet your need ?
>>
>>
>>The three major problems I listed in a previous email are still 
>>present...
> 
> 
> 	Are we talking of the same patch ? I'm talking of this patch :
> http://marc.theaimsgroup.com/?l=linux-netdev&m=108749580004668&w=2
> 	I reattached the patch below. It's short enough.

Your patch is half the job -- it allows development of a type-specific 
interface...  but it does nothing to address the problems with the 
underlying type-opaque interface.

The creation of the type-specific interface replaces the type-opaque 
interface, not layers on top of it.

So while this patch may be useful in early development, it does not 
allow the direct exposure of core wireless code to the type-specific 
interfaces, and as such, it can paper over problems that would be 
immediately obviously if the type-specific interface were the only one 
to exist.

>> Also there is a fourth -- WE doesn't work 100% when you have 
>>a 32-bit userland and a 64-bit kernel.
> 
> 
> 	Since when ? What made you change your mind ?
> 	Please check :
> http://marc.theaimsgroup.com/?l=linux-netdev&m=107894322418086&w=2

The general API, yes.  But most driver-private interfaces will fail 
miserably through 32/64-bit translation.

	Jeff